<?xml version="1.0"?>
<interface>
  <requires lib="gtk+" version="2.16"/>
  <!-- interface-naming-policy toplevel-contextual -->
  <object class="GtkWindow" id="join_groupchat_window">
    <property name="border_width">6</property>
    <property name="title" translatable="yes">Join Group Chat</property>
    <property name="type_hint">dialog</property>
    <signal name="destroy" handler="on_join_groupchat_window_destroy"/>
    <signal name="key_press_event" handler="on_join_groupchat_window_key_press_event"/>
    <child>
      <object class="GtkVBox" id="vbox28">
        <property name="visible">True</property>
        <property name="orientation">vertical</property>
        <property name="spacing">12</property>
        <child>
          <object class="GtkTable" id="table15">
            <property name="visible">True</property>
            <property name="n_rows">8</property>
            <property name="n_columns">2</property>
            <property name="column_spacing">12</property>
            <property name="row_spacing">6</property>
            <child>
              <object class="GtkEntry" id="room_jid_entry">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="has_focus">True</property>
                <property name="activates_default">True</property>
                <signal name="changed" handler="on_required_entry_changed"/>
              </object>
              <packing>
                <property name="left_attach">1</property>
                <property name="right_attach">2</property>
                <property name="top_attach">3</property>
                <property name="bottom_attach">4</property>
                <property name="y_options"></property>
              </packing>
            </child>
            <child>
              <object class="GtkEntry" id="nickname_entry">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="activates_default">True</property>
                <signal name="changed" handler="on_required_entry_changed"/>
              </object>
              <packing>
                <property name="left_attach">1</property>
                <property name="right_attach">2</property>
                <property name="top_attach">2</property>
                <property name="bottom_attach">3</property>
                <property name="y_options"></property>
              </packing>
            </child>
            <child>
              <object class="GtkLabel" id="label143">
                <property name="visible">True</property>
                <property name="xalign">0</property>
                <property name="label" translatable="yes">Room:</property>
              </object>
              <packing>
                <property name="top_attach">3</property>
                <property name="bottom_attach">4</property>
                <property name="x_options">GTK_FILL</property>
                <property name="y_options"></property>
              </packing>
            </child>
            <child>
              <object class="GtkLabel" id="label142">
                <property name="visible">True</property>
                <property name="xalign">0</property>
                <property name="label" translatable="yes">Nickname:</property>
              </object>
              <packing>
                <property name="top_attach">2</property>
                <property name="bottom_attach">3</property>
                <property name="x_options">GTK_FILL</property>
                <property name="y_options"></property>
              </packing>
            </child>
            <child>
              <object class="GtkLabel" id="label225">
                <property name="visible">True</property>
                <property name="xalign">0</property>
                <property name="label" translatable="yes">Recently:</property>
              </object>
              <packing>
                <property name="top_attach">1</property>
                <property name="bottom_attach">2</property>
                <property name="x_options">GTK_FILL</property>
                <property name="y_options"></property>
              </packing>
            </child>
            <child>
              <object class="GtkComboBox" id="recently_combobox">
                <property name="visible">True</property>
                <signal name="changed" handler="on_recently_combobox_changed"/>
              </object>
              <packing>
                <property name="left_attach">1</property>
                <property name="right_attach">2</property>
                <property name="top_attach">1</property>
                <property name="bottom_attach">2</property>
                <property name="x_options">GTK_FILL</property>
                <property name="y_options">GTK_FILL</property>
              </packing>
            </child>
            <child>
              <object class="GtkLabel" id="label145">
                <property name="visible">True</property>
                <property name="xalign">0</property>
                <property name="label" translatable="yes">Password:</property>
              </object>
              <packing>
                <property name="top_attach">5</property>
                <property name="bottom_attach">6</property>
                <property name="x_options">GTK_FILL</property>
                <property name="y_options"></property>
              </packing>
            </child>
            <child>
              <object class="GtkEntry" id="password_entry">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="visibility">False</property>
                <property name="activates_default">True</property>
              </object>
              <packing>
                <property name="left_attach">1</property>
                <property name="right_attach">2</property>
                <property name="top_attach">5</property>
                <property name="bottom_attach">6</property>
                <property name="y_options"></property>
              </packing>
            </child>
            <child>
              <object class="GtkCheckButton" id="auto_join_checkbutton">
                <property name="label" translatable="yes">Join this room _automatically when I connect</property>
                <property name="visible">True</property>
                <property name="sensitive">False</property>
                <property name="can_focus">True</property>
                <property name="receives_default">False</property>
                <property name="use_underline">True</property>
                <property name="draw_indicator">True</property>
              </object>
              <packing>
                <property name="right_attach">2</property>
                <property name="top_attach">7</property>
                <property name="bottom_attach">8</property>
                <property name="x_options">GTK_FILL</property>
                <property name="y_options"></property>
              </packing>
            </child>
            <child>
              <object class="GtkLabel" id="account_label">
                <property name="no_show_all">True</property>
                <property name="xalign">0</property>
                <property name="label" translatable="yes">Account</property>
              </object>
              <packing>
                <property name="x_options">GTK_FILL</property>
                <property name="y_options"></property>
              </packing>
            </child>
            <child>
              <object class="GtkComboBox" id="account_combobox">
                <property name="no_show_all">True</property>
                <signal name="changed" handler="on_account_combobox_changed"/>
              </object>
              <packing>
                <property name="left_attach">1</property>
                <property name="right_attach">2</property>
                <property name="x_options">GTK_FILL</property>
                <property name="y_options">GTK_FILL</property>
              </packing>
            </child>
            <child>
              <object class="GtkCheckButton" id="bookmark_checkbutton">
                <property name="label" translatable="yes">_Bookmark this room</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="receives_default">False</property>
                <property name="use_underline">True</property>
                <property name="draw_indicator">True</property>
                <signal name="toggled" handler="on_bookmark_checkbutton_toggled"/>
              </object>
              <packing>
                <property name="right_attach">2</property>
                <property name="top_attach">6</property>
                <property name="bottom_attach">7</property>
                <property name="x_options">GTK_FILL</property>
                <property name="y_options"></property>
              </packing>
            </child>
            <child>
              <object class="GtkLabel" id="label1">
                <property name="visible">True</property>
                <property name="xalign">0</property>
                <property name="label" translatable="yes">Server:</property>
              </object>
              <packing>
                <property name="top_attach">4</property>
                <property name="bottom_attach">5</property>
              </packing>
            </child>
            <child>
              <object class="GtkHBox" id="hbox1">
                <property name="visible">True</property>
                <property name="spacing">6</property>
                <child>
                  <object class="GtkComboBoxEntry" id="server_comboboxentry">
                    <property name="visible">True</property>
                    <property name="model">liststore1</property>
                    <property name="text_column">0</property>
                  </object>
                  <packing>
                    <property name="position">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkButton" id="browse_rooms_button">
                    <property name="label" translatable="yes">Bro_wse Rooms</property>
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="receives_default">True</property>
                    <property name="image">image1</property>
                    <property name="use_underline">True</property>
                    <signal name="clicked" handler="on_browse_rooms_button_clicked"/>
                  </object>
                  <packing>
                    <property name="position">1</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="left_attach">1</property>
                <property name="right_attach">2</property>
                <property name="top_attach">4</property>
                <property name="bottom_attach">5</property>
                <property name="y_options">GTK_EXPAND</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <object class="GtkHButtonBox" id="hbuttonbox12">
            <property name="visible">True</property>
            <property name="spacing">12</property>
            <property name="layout_style">end</property>
            <child>
              <object class="GtkButton" id="cancel_button">
                <property name="label">gtk-cancel</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="can_default">True</property>
                <property name="receives_default">False</property>
                <property name="use_stock">True</property>
                <signal name="clicked" handler="on_cancel_button_clicked"/>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkButton" id="join_button">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="can_default">True</property>
                <property name="has_default">True</property>
                <property name="receives_default">False</property>
                <signal name="clicked" handler="on_join_button_clicked"/>
                <child>
                  <object class="GtkAlignment" id="alignment25">
                    <property name="visible">True</property>
                    <property name="xscale">0</property>
                    <property name="yscale">0</property>
                    <child>
                      <object class="GtkHBox" id="hbox37">
                        <property name="visible">True</property>
                        <property name="spacing">2</property>
                        <child>
                          <object class="GtkImage" id="image148">
                            <property name="visible">True</property>
                            <property name="stock">gtk-apply</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">False</property>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkLabel" id="label146">
                            <property name="visible">True</property>
                            <property name="label" translatable="yes">_Join</property>
                            <property name="use_underline">True</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">False</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="pack_type">end</property>
            <property name="position">1</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
  <object class="GtkListStore" id="liststore1">
    <columns>
      <!-- column-name gchararray1 -->
      <column type="gchararray"/>
    </columns>
  </object>
  <object class="GtkImage" id="image1">
    <property name="visible">True</property>
    <property name="stock">gtk-find</property>
  </object>
</interface>
